MediaWiki:Common.css:修订间差异

无编辑摘要
无编辑摘要
第52行: 第52行:
}
}
.tabs-tabbox > label:first-of-type {
.tabs-tabbox > label:first-of-type {
     border-radius: 7px 0 0 7px;
     border-radius: 7px 0 0 0;
}
}
.tabs-tabbox > label:last-of-type {
.tabs-tabbox > label:last-of-type {
     border-radius: 0 7px 7px 0;
     border-radius: 0 7px 0 0;
}
}
.tabs-label {
.tabs-label {
     background-color: #f5f8fa;
     background-color: #f5f8fa;
     border: 1px solid #AAA;
     border: 1px solid #e1e8ed;
     transition: background-color, color, border-bottom .3s;
     transition: background-color, color .3s;
}
}
.tabs-label:hover{
.tabs-label:hover{
第68行: 第68行:
.tabs-tabbox > .tabs-input+ .tabs-input+ .tabs-label {
.tabs-tabbox > .tabs-input+ .tabs-input+ .tabs-label {
     margin-left: 0;
     margin-left: 0;
}
.tabs-tabbox > .tabs-container {
    border-radius: 0 7px 7px 7px;
    border: 1px solid #e1e8ed;
}
}

2022年1月27日 (四) 05:16的版本

/* 这里放置的CSS将应用于所有皮肤 */

/* ajaxpoll 投票功能相关的样式覆盖 CSS */
.ajaxpoll {
    border: 1px dashed #e1e8ed !important;
}
.ajaxpoll-hover-revoke {
	background:#fff !important;
}
.ajaxpoll-hover-vote {
	background:#fff !important;
}
.ajaxpoll-ajax {
	background:#fff !important;
	box-shadow:inset 0 -0.2rem 0 #4188F1 !important;
    border-radius: 0 !important;
}
.ajaxpoll-answer-vote {
	height:22px !important;
}
.ajaxpoll-our-vote div {
    border: 1px solid #4188F1 !important;
    border-radius: 7px !important;
}
.ajaxpoll-answer-vote div {
    background: #9EC3E6 !important;
    height: 22px !important;
    border-radius: 7px !important;
}
.ajaxpoll-answer-vote {
	border-radius: 7px !important;
}

/* Tabs 插件样式覆盖 */
.tabs-input, .tabs-close, #tabs-inputform, body.tabs-oldbrowserscript .tabs-content {
    display: none !important;
}
.tabs-tabbox > .tabs-input:checked + .tabs-label, .tabs-input-0:checked + .tabs-input-1 + .tabs-label {
    background-color: #fff;
    border-bottom: #4188f1 solid;
}
.tabs-tabbox > .tabs-label {
    margin: 0;
    border-bottom: none;
    border-radius: 0;
    position: relative;
    display: inline-block;
    vertical-align: bottom;
    min-width: 10%;
    text-align: center;
    height: 40px;
}
.tabs-tabbox > label:first-of-type {
    border-radius: 7px 0 0 0;
}
.tabs-tabbox > label:last-of-type {
    border-radius: 0 7px 0 0;
}
.tabs-label {
    background-color: #f5f8fa;
    border: 1px solid #e1e8ed;
    transition: background-color, color .3s;
}
.tabs-label:hover{
	background-color: #fff;
    border-bottom: #4188f1 solid;
}
.tabs-tabbox > .tabs-input+ .tabs-input+ .tabs-label {
    margin-left: 0;
}
.tabs-tabbox > .tabs-container {
    border-radius: 0 7px 7px 7px;
    border: 1px solid #e1e8ed;
}